<template>
   <div class="personInfo" :style="{height: clientHeight < 600?'600'+'px':'100%'}">
     <section class="wrapper">
      <!--表單-->
      <div class="form">
        <div class="form_b">
          <ul class="step">
            <li class="step_item">手机号码</li>
            <li class="step_item">短信验证</li>
            <li class="step_item step--active step_item-sp--active">
              填写基本资料
              <div class="highlight"></div>
            </li>
            <li class="step_item">绑定完成</li>
          </ul>
          <section class="ten_b"><span class="remind" >*为必填字段</span></section>
          <section class="ten_b"><span class="ten_b_itemsName">姓名
              <p class="allPageRemind">*</p></span>
            <section class="ten_b_content">
              <input class="content_enter w_10" type="text" :value="name" name="name" placeholder="请输入真实姓名" id="name" @input="inputEmit($event)">
            </section>
          </section>
          <label id ="namebox" class="error">字段未填或格式不正确</label>
          <section class="ten_b"><span class="ten_b_itemsName">性別
              <p class="allPageRemind">*</p></span>

            <div class="ten_b_gander" >
              <input  id="male" type="radio" name="male" value="男性" v-model="sex" >
              <label for="male" class="male">男性</label>
              <span class="after" :class="{'high':boy}" @click="male">
                <span class="before" v-if="boy"></span>
              </span>
              <div class="radio-male"></div>
            </div>
            <div class="ten_b_gander" >
              <input id="female" type="radio" name="female" value="女性" v-model="sex" >
              <label for="female" class="female">女性</label>
              <span class="after" :class="{'high':girl}" @click="female">
                <span class="before" v-if="girl"></span>
              </span>
              <div class="radio-female" ></div>
            </div>
          </section>
          <label id ="sexbox" class="error" >字段未填或格式不正确</label>
          <section class="ten_b"><span class="ten_b_itemsName">生日
              <p class="allPageRemind">*</p></span>
            <section class="ten_b_content ten_b_br">
              <div class="selectBgc left w_3">
                <div class="content_code" name="age" required  id="showPicker1"  @click="pickerClick()">
                  {{year}}
                </div>
              </div>
              <div class="selectBgc left w_3">
                <div class="content_code" name="month" required id="showPicker2"  @click="pickerClick2()">
                  {{month}}
                </div>
              </div>
              <div class="selectBgc left w_3">
                <div class="content_code" name="day" required id="showPicker3"  @click="pickerClick3()">
                  {{day}}
                </div>
              </div>
            </section>
            <label id ="datebox" class="error" >字段未填或格式不正确</label>
            <div class="error_box">
              <label class="bir error custom-error" for="age"></label>
              <label class="bir error custom-error" for="month"></label>
              <label class="bir error custom-error" for="day"></label>
            </div>
          </section>
          <section class="ten_b mgt_20"><span class="ten_b_itemsName">推荐人姓名</span>
            <section class="ten_b_content">
              <input class="content_enter w_10" type="text" :value="referrerName" placeholder="请输入推荐人真实姓名" id="referrerName" @input="inputEmit1($event)">
            </section>
          </section>
          <section class="ten_b"><span class="ten_b_itemsName">推荐人手机</span>
            <section class="ten_b_content">
              <div class="selectBgc left w_3">
                <select class="content_code" @change="change($event)" id="select">
                  <option value="+86">+86</option>
                  <option value="+85">+852</option>
                </select>
              </div>
              <input class="content_enter right w_6" type="number" :value="referrerMobile" placeholder="推荐人手机" id="referrerMobile"  @input="inputEmit2($event)">
            </section>
          </section>
          <section class="ten_b mgt_10 ten_b_terms">
            <!--sonia改动-->
            <!--<input class="terms_check" id="terms" type="checkbox" name="agree" value="" v-model="checked">-->
            <div class="agree1"  :style="{background:checked?'#545147':'#fff'}" @click="choose">
              <img :src="'./static/images/baseline-done-24px.svg'" alt="" class="img" v-if="checked">
            </div>
            <div class="terms_content">
              <div>
                <p>我已详阅<a href="javascript:void(0)" class="pop_terms terms_1" @click="memberright">会员权益条款</a> 和 <a href="javascript:void(0)" class="pop_terms terms_2" @click="memberpolicy">隐私权政策</a>，并同意相关权益须知</p>
                <p class="allPageRemind">*</p>
              </div>
            </div>
            <!--sonia改动-->
            <!--<label class="agree" for="terms">-->
              <!--<input class="terms_check" id="terms" type="checkbox" name="agree" value="" v-model="checked">-->
            <!--</label>-->
            <!--<div class="terms_content">-->
              <!--<div>-->
                <!--<span style="display: block;height: 30px;line-height: 18px;font-size: 0.25rem;">我已详阅<a class="pop_terms terms_1" @click="memberright">会员权益条款</a> 和 <a  class="pop_terms terms_2" @click="memberpolicy">隐私权政策</a>，并同意相关权益须知<span class="allPageRemind" style="color: #FF0000;">*</span></span>-->
              <!--</div>-->
            <!--</div>-->
          </section>
          <label id ="box" class="error" >此为必填字段</label>
        </div>
        <div class="form_b">
          <section class="ten_b btn_b">
            <button class="btn rg3Btn" type="submit" id="submit" @click="submit" style="font-size: 0.26rem;">绑定会员服务</button>
          </section>
        </div>
      </div>
      <div class="white"></div>
    </section>
    <section class="pop pop_t" style="display: block" v-if="popshow">
      <section class="pop_content pop_t_c">
        <div v-if="right">
          <div class="pop_termsBox"><h2>会员权益条款</h2></div>
          <div class="pop_info">
            <p class="in_text">欢迎您加入10/10 FRIENDS会员计划（以下简称本计划），本计划之服务由祎德（上海）贸易有限公司及其关系企业十分国际股份有限公司、玮德国际股份有限公司、客林国际股份有限公司或前开公司之国内外分公司（以下简称本公司）提供。本计划所有使用会员服务的使用者，须详细阅读下列约定条款。本约定条款是为了保护会员服务提供商及使用者的利益，并构成使用者与会员服务提供商之间的契约。使用者完成注册手续、或开始使用本计划所提供的会员服务时，即视为已知悉并同意遵守本使用条款的所有约定。</p>
            <br/>
            <p class="in_text">若您未满二十岁，请确认您的家长或监护人已阅读，且了解并同意本约定条款之所有内容。当您开始使用或继续使用本服务时，即推定您的家长(或监护人)已阅读、了解并同意接受本服务条款之所有内容及其后续修改变更。</p>
            <div class="pop_termsBox">
              <h3>一、会员服务内容</h3>
              <ol class="pop_ul" style="padding-left: 28px">
                <li class="in_text">本公司完成并确认会员申请后，将依本系统当时所建置的项目、内容、状态与功能，对会员提供服务；本公司保留随时新增、减少或变更各服务项目、内容、状态及功能之全部或一部分之权利，且不另行通知。</li>
                <li class="in_text">本公司会主动、或依会员之订阅，发送定时或不定时的推播、简讯或E-DM给会员。</li>
                <li class="in_text">本计划之修正、调整等采用「不溯及既往原则」，且本公司保留、修正、暂停与终止本计划之权利。</li>
              </ol>
            </div>
            <div class="pop_termsBox">
              <h3>二、10/10 FRIENDS积分回馈计划</h3>
              <p class="in_text">10/10 FRIENDS积分回馈计划(以下简称本积分计划)之规则说明如下：</p>
              <p style="text-align: center">
                <img :src="'./static/images/member.jpg'" alt="" style="width: 100%;height:150px">
              </p>
              <ol class="pop_ul" style="padding-left: 32px;" >
                <li class="in_text">本积分计划适用本公司在中国大陆、中国香港及中国台湾之店柜门市或电商通路，会员在前述通路的消费均可累积消费和点数。中国台湾及中国香港之详细会员权益将另行公告。</li>
                <li class="in_text">本积分计划最快预计2019年11月在中国香港之店柜门市正式上线，最快2020年在中国台湾及中国香港电商通路正式上线。</li>
                <li class="in_text">本积分计划适用本公司在中国大陆、中国香港和中国台湾之店柜门市或电商通路，其消费金额均可累积消费积分。店柜门市据点详见本公司网站连结：
                  <br>
                  <a href="https://www.1010apothecary.com.tw/pages/store" >中国台湾10/10 APOTHECARY</a>
                  <a href="https://www.1010hope.com/store"  >中国台湾10/10 HOPE</a>
                  <!--<a href="https://www.nealsyardremedies.com.tw/store"  style="background: yellow">中国台湾尼尔氏香芬庭园</a>-->
                  <a href="https://hk.1010hope.com/store"  >中国香港10/10 HOPE</a>
                  <!--<a href="https://www.nealsyardremedies.com.hk/store"  style="background: yellow">中国香港Neal's Yard Remedies</a></li>-->
                <li class="in_text">完成注册手续且任意消费即可入会，且10/10 FRIENDS会员资格永久有效。</li>
                <li class="in_text">会员生效日为会员于某一会籍起始日，例如：会员A目前是10/10 FRIENEDS金卡，且其会籍有效期间为2019-9-1 ~ 2020-8-31，则会员A的10/10 FRIENDS金卡会员生效日为2019-9-1。</li>
                <li class="in_text">10/10 FRIENDS会员单笔消费每人民币1元、港币1元或新台币5元可获得1积分。</li>
                <li class="in_text">店柜门市消费获得积分：将于付款确认后24小时内计入会员账户。</li>
                <li class="in_text">电商通路消费获得积分：将于付款确认后7天内计入会员账户。</li>
                <li class="in_text">10/10 FRIENDS金卡会员、白金卡会员和钻石卡会员可享有消费积分加倍之专享优惠，详细规则请见【会员权益】说明。</li>
                <li class="in_text">积分效期计算
                  <ul class="pop_ul2" style="padding-left: 0">
                    <li class="in_text" style="list-style-type: disc;!important;">消费积分：于指定之店柜门市或电商通路消费而获得之积分，有效期一年，自积分获得日加上12个月并至该月末日失效。</li>
                    <li class="in_text" style="list-style-type: disc;!important;">赠送积分：包括注册入会、绑定WeChat、首次购物、生日礼等，有效期三个月，自积分获得日加上3个月并至该月末日失效。</li>
                    <li class="in_text" style="list-style-type: disc;!important;">超过有效期仍未使用之积分，系统将自动予以清除归零。例：2019-6-11因消费而获得消费积分500积分，<span >因完成绑定而获得赠送积分200积分，共700积分。</span>如都未折抵使用，<span >将于2019-9-30赠送之200积分失效</span>，剩余500积分。剩余积分若仍未使用，将于2020-6-30自动失效归零。</li>
                  </ul>
                </li>
                <li class="in_text">会籍有效期
                  <ul class="pop_ul2" style="padding-left: 0">
                    <li class="in_text" style="list-style-type: disc;!important;">自会员生效日起12个月内，消费金额累积满人民币(下同)2,000元即成为10/10 FRIENDS金卡会员（下称金卡会员），享有下笔购物每消费1元可获得2积分 (限升级隔日起生效)。</li>
                    <li class="in_text" style="list-style-type: disc;!important;">自会员生效日起12个月内，消费金额累积满4,000元即成为10/10 FRIENDS白金卡会员（下称白金卡会员），享有下笔购物每消费1元可获得3积分 (限升级隔日起生效)。</li>
                    <li class="in_text" style="list-style-type: disc;!important;">自会员生效日起12个月内，消费金额累积满6,000元即成为10/10 FRIENDS钻石卡会员（下称钻石卡会员），享有下笔购物每消费1元可获得4积分 (限升级隔日起生效)。</li>
                    <li class="in_text" style="list-style-type: disc;!important;">金卡/白金卡/钻石卡会员资格自生效日起为期一年(升等日+12个月)，于会籍效期内实际消费金额未满2,000元者，仍为会员，但不再给予消费积分加倍之优惠。于会籍效期内实际消费金额满2,000元者，期满时可延续金卡会员权益及资格一年。于会籍效期内实际消费金额满4,000元者，期满时可延续白金卡会员权益及资格一年。于会籍效期内实际消费金额满6,000元者，期满时可延续钻石卡会员权益及资格一年。延续一年期间内于期满时之会员权益及资格，依此类推</li>
                  </ul>
                </li>
                <li class="in_text">其他注意事项
                  <ul class="pop_ul2">
                    <li class="in_text" style="list-style-type: disc;!important;">累积消费金额、累积积分和使用积分以单一会员编号为主，不同会员编号无法合并计算、无法转让，亦无法折换现金，累积消费金额、累积积分和使用积分之纪录以本公司系统为计算依据。</li>
                    <li class="in_text" style="list-style-type: disc;!important;">会员通讯方式如有变更请主动于本系统更新，若因未更新而导致无法收到相关讯息，本公司恕不负责。</li>
                  </ul>
                </li>
              </ol>
            </div>
            <div class="pop_termsBox">
              <h3>三、会员注册义务及个人信息保护</h3>
              <ol class="pop_ul" style="padding-left: 28px">
                <li class="in_text">在本公司之任一网络平台及/或程序（下称「官网」）进行消费之前，必须设定一组账号和密码，并且填写相关个人资料成为正式会员，会员必须担保这些数据的完整性和正确性；当提供的数据有所变动，会员应实时更新所留存的数据。如果会员未实时提供数据、未按指定方式提供数据，或所提供之数据不完整、不确定或与事实不符，本公司保留不经事先通知，随时拒绝或暂停对该会员提供全部或一部分本服务之权利。</li>
                <li class="in_text">会员于本公司电商渠道注册或消费时，可以自行设定账号以及密码，但会员有妥善自行保管账号和密码的义务，不得透漏或提供予第三人使用。会员并应遵守各该电商通路管理者制定之相关规定，对于登入系统后之所有行为，均由该持有账号和密码之会员负责。</li>
                <li class="in_text">会员如果发现或怀疑其账号和密码被第三人冒用或不当使用，应立即通知本公司，以利本公司实时采取适当的因应措施，且会员亦应尽力采取适当措施，防止因此可能造成本公司或会员之权益损害或损害扩大；但上述因应措施不得解释为本公司对会员有任何明示或默示之赔偿或补偿义务。</li>
                <li class="in_text">本公司尊重会员隐私并致力于保护个人资料，于使用本服务前，请您详细阅读本公司「隐私权政策」，当您使用本服务时，即视同您同意本公司依据「隐私权政策」搜集、处理与利用您的个人资料。</li>
                <!--<li class="in_text">对于会员所提供的个人信息，本公司不会将会员个人信息提供给第三人或做其他利益商业用途。</li>-->
              </ol>
            </div>
            <div class="pop_termsBox">
              <h3>四、责任排除限制</h3>
              <ol class="pop_ul" style="padding-left: 28px">
                <li class="in_text">本公司所提供之各项会员服务，均依本系统于提供服务当时之功能及现况提供使用，对于使用者之特定要求或需求，包括但不限于本系统速度、安全性、完整性、正确性及不会断线和出错等，本公司均不负任何明示或默示之担保或保证责任。</li>
                <li class="in_text">本公司不保证任何档案或数据之传送及存盘均可靠且正确无误，因各该档案或数据传送或存盘失败、遗失或错误等所致之损害，本公司不负任何赔偿责任。</li>
                <li class="in_text">因使用本服务、本系统所造成之任何直接或间接之损害，本公司均不负任何赔偿责任。</li>
              </ol>
            </div>
            <div class="pop_termsBox">
              <h3>五、服务暂停或中断</h3>
              <ol class="pop_ul" style="padding-left: 28px">
                <li class="in_text">本系统可能发生中断或故障等现象，此或将造成您使用上的不便、数据丧失、错误、被窜改或其他财产上或非财产上损害等情形，建议您于使用本服务时，应随时采取防护措施。您因使用或无法使用本服务所生之任何损害，除本公司具有故意或重大过失外，本公司不负任何赔偿责任。</li>
                <li class="in_text">
                  如有下列情形之一者，本公司将暂停或中断本服务之全部或一部，本公司对您因而所受之直接或间接损害，均不负任何赔偿责任：
                  <ul class="pop_ul2">
                    <li class="in_text" style="list-style-type: disc;!important;">本公司相关软、硬设备进行迁移、更换、升级、保养或维护时。</li>
                    <li class="in_text" style="list-style-type: disc;!important;">您有任何违反政府法令或本条款之情形者。</li>
                    <li class="in_text" style="list-style-type: disc;!important;">因天灾或其他不可抗力事由所致之服务停止或中断。</li>
                    <li class="in_text" style="list-style-type: disc;!important;">因其他不可归责于本公司之事由所致之服务停止或中断。</li>
                  </ul>
                </li>
              </ol>
            </div>
            <div class="pop_termsBox">
              <h3>六、拒绝或终止服务</h3>
              <ol class="pop_ul" style="padding-left: 28px">
                <li class="in_text">您了解并同意本公司得因各种考虑（包含但不限于您一定期间未使用本服务/本系统、法院或政府机关之命令、依您的请求、本服务内容发生实质变更或无法预期的技术或安全问题、您有诈欺或违法之行为、您未依约支付费用，或本公司认为您已违反本条款之任一规定及其规范目的）而径自终止您的账号、密码或使用本服务/本系统。若您遭本公司终止提供任何服务，本公司对您或其他第三人均不承担任何法律责任。</li>
                <li class="in_text">您了解并同意您于本系统使用之会员账号系不可转让，且该账号、账号中之内容及所有权利，于您死亡或变为无行为能力人时即立刻终止，本公司并无继续维持或保存该账号及其内容之义务。</li>
              </ol>
            </div>
            <div class="pop_termsBox">
              <h3>七、本条款之修改</h3>
              <p class="in_text">本公司保留随时修改本会员服务使用条款及各该使用规范或约定之权利，修改后内容，将公布在会员服务相关网页上，不另外个别通知使用者。</p>
            </div>
            <div class="pop_termsBox">
              <h3>八、知识产权</h3>
              <ol class="pop_ul" style="padding-left: 28px">
              <li class="in_text">本服务/本系统所使用之软件、接口、程序等内容，包括但不限于新闻、专栏、著作、图片、档案、信息、数据、程序架构、接口安排、接口设计等，除本条款有特别规定外，均由本公司或其他权利人依法拥有其知识产权。前述知识产权包括但不限于商标权、专利权、著作权、营业秘密与专有技术等，任何人不得未经同意，擅自使用、修改、重制、公开播送、改作、散布、出租、发行、公开传输、公开发表、进行还原工程、解编或反向组译。尊重知识产权是您应尽的义务，如有违反，您应自负一切法律责任，并应对本公司之全部损害负担赔偿责任。</li>
              <li class="in_text">本服务/本系统相关内容仅限于供个人、非商业用途之合理使用，但不得以任何形式传输、散布或提供予公众。您利用时必须遵守著作权法的所有相关规定，不可变更、发行、播送、转卖、重制、改作、散布、表演、展示，直接或间接利用本服务/本系统局部或全部之内容以赚取任何利益（包括但不限于程序广告收益）。</li>
              <li class="in_text">如您欲就本服务/本系统内容为非个人之使用，请与本公司洽谈授权合作事宜。除经合法授权外，本公司官网/本系统上刊载之内容均属本公司所有，于未取得本公司之书面许可或授权前，禁止任何人以任何方式使用之；若本公司官网/本系统上所刊载内容之知识产权非属本公司所有，于取得该权利人之书面许可或授权前，亦禁止任何人以任何方式使用之。</li>
              <li class="in_text">本公司营销、宣传本服务时，就本服务相关之商品、服务名称、图样等（下称「本服务商标」），依其注册或使用之状态，受中国大陆相关法令之保护，未经本公司事前以书面同意，任何人不得以任何方式使用本服务商标。</li>
              <li class="in_text">为保障知识产权，若您个人之商标权、专利权、著作权等知识产权有受本公司侵害之虞，请尽速与本公司联络（service@10over10.com.tw），并提供知识产权受侵害之具体证明数据予本公司，包括但不限于（1）主张遭受侵害之知识产权之描述；（2）主张遭受侵害之著作物于本公司官网中所在位置之描述；及（3）您的联络方式等。</li>
              </ol>
            </div>
            <div class="pop_termsBox">
              <h3>九、会员行为</h3>
              <ol class="pop_ul" style="padding-left: 28px">
              <li class="in_text">本公司之会员自行公开张贴或私下传送的信息、文字、音频、照片、图形或其他数据（下称「会员内容」），均由会员内容之提供者自负一切法律责任，本公司不负任何担保或赔偿之责。</li>
              <li class="in_text">于任何情形下，本公司均不为任何会员内容负责，包含但不限于任何错误或遗漏，及其经由本公司张贴、传送或发送电子邮件等所衍生之一切损失或损害。</li>
              <li class="in_text">会员利用本服务/本系统所为之行为，基于下列情形，本公司得于合理范围内，将其内容加以保存或揭露：
                <ul class="pop_ul2">
                  <li class="in_text" style="list-style-type: disc;!important;">依法令之规定；</li>
                  <li class="in_text" style="list-style-type: disc;!important;">为执行本条款之约定；</li>
                  <li class="in_text" style="list-style-type: disc;!important;">经第三人提出相关证据而请求预防、除去侵权行为或请求损害赔偿；</li>
                  <li class="in_text" style="list-style-type: disc;!important;">或其他为保护本公司、本服务使用者及一般公众生命、身体、财产安全之情形。</li>
                </ul>
              </li>
              </ol>
              <!--<li class="in_text">会员在本公司中国大陆地区所进行的任何交易或行为，以及因此与本公司产生之权利义务关系，都以中华人民共和国法令为依据。且若有任何交易或行为而产生纠纷或争议，双方应友好协商解决；协商不了的，双方同意提交原告方所在地人民法院诉讼解决。</li>-->
            </div>
            <div class="pop_termsBox">
              <h3>十、Cookies</h3>
              <ol class="pop_ul" style="padding-left: 28px">
              <li class="in_text">本公司将于您藉以浏览本公司官网/本系统之计算机、手机或其他行动装置设定并取用cookies。</li>
              <li class="in_text">本公司亦可能允许在本公司官网上摆放广告或活动之厂商于您的计算机、手机或其他行动装置设定并取用cookies，同时并适用各该厂商所自定义之隐私权政策。</li>
              <li class="in_text">Cookies的使用在于追踪您于本公司官网/本系统上的活动，以利本公司进行各种分析、数据搜集，以提供您更便利、更完整之服务。若您不愿接受上述设定的cookies，可透过网络浏览器的选项设定拒绝cookies，惟此举可能造成您于使用本服务时受到限制。</li>
              </ol>
              <!--<li class="in_text">本公司营销、宣传本服务时，就本服务相关之商品、服务名称、图样等（下称「本服务商标」），依其注册或使用之状态，受中国大陆相关法令之保护，未经本公司事前以书面同意，任何人不得以任何方式使用本服务商标。</li>-->
              <!--<li class="in_text">为保障知识产权，若您个人之商标权、专利权、著作权等知识产权有受本公司侵害之虞，请尽速与本公司联络（service@10over10.com.tw），并提供知识产权受侵害之具体证明数据予本公司，包括但不限于（1）主张遭受侵害之知识产权之描述；（2）主张遭受侵害之著作物于本公司官网中所在位置之描述；及（3）您的联络方式等。</li>-->
            </div>
            <div class="pop_termsBox">
              <h3>十一、您对本公司之授权</h3>
              <ol class="pop_ul" style="padding-left: 28px">
              <li class="in_text">您了解并保证所上载、传送、输入或提供予本公司之数据，均系由您自行创作或取得合法之授权，且上开数据一经上载、传送、输入或提供予本公司后，本公司均有权对之加以使用、修改、重制、公开播送、改作、散布、出租、公开传输、公开发表或以其他方式加以利用，并得将前揭权利再授权予他人。</li>
              <li class="in_text">您了解并保证本公司使用、修改、重制、公开播送、改作、散布、出租、公开传输、公开发表或以其他方式利用前项数据时，不会侵害任何第三人之知识产权，否则应对本公司所受之一切损害负担赔偿责任（包括但不限于诉讼费用及律师费用）。</li>
              </ol>
              <!--<li class="in_text">Cookies的使用在于追踪您于本公司官网/本系统上的活动，以利本公司进行各种分析、数据搜集，以提供您更便利、更完整之服务。若您不愿接受上述设定的cookies，可透过网络浏览器的选项设定拒绝cookies，惟此举可能造成您于使用本服务时受到限制。</li>-->
              <!--<li class="in_text">本公司营销、宣传本服务时，就本服务相关之商品、服务名称、图样等（下称「本服务商标」），依其注册或使用之状态，受中国大陆相关法令之保护，未经本公司事前以书面同意，任何人不得以任何方式使用本服务商标。</li>-->
              <!--<li class="in_text">为保障知识产权，若您个人之商标权、专利权、著作权等知识产权有受本公司侵害之虞，请尽速与本公司联络（service@10over10.com.tw），并提供知识产权受侵害之具体证明数据予本公司，包括但不限于（1）主张遭受侵害之知识产权之描述；（2）主张遭受侵害之著作物于本公司官网中所在位置之描述；及（3）您的联络方式等。</li>-->
            </div>
            <div class="pop_termsBox">
              <h3>十二、准据法及其他规定</h3>
              <p class="in_text">会员在本公司中国大陆地区所进行的任何交易或行为，以及因此与本公司产生之权利义务关系，都以中华人民共和国法令为依据。且若有任何交易或行为而产生纠纷或争议，双方应友好协商解决；协商不了的，双方同意提交上海人民法院诉讼解决。</p>
              <!--<li class="in_text">本公司亦可能允许在本公司官网上摆放广告或活动之厂商于您的计算机、手机或其他行动装置设定并取用cookies，同时并适用各该厂商所自定义之隐私权政策。</li>-->
              <!--<li class="in_text">Cookies的使用在于追踪您于本公司官网/本系统上的活动，以利本公司进行各种分析、数据搜集，以提供您更便利、更完整之服务。若您不愿接受上述设定的cookies，可透过网络浏览器的选项设定拒绝cookies，惟此举可能造成您于使用本服务时受到限制。</li>-->
              <!--<li class="in_text">本公司营销、宣传本服务时，就本服务相关之商品、服务名称、图样等（下称「本服务商标」），依其注册或使用之状态，受中国大陆相关法令之保护，未经本公司事前以书面同意，任何人不得以任何方式使用本服务商标。</li>-->
              <!--<li class="in_text">为保障知识产权，若您个人之商标权、专利权、著作权等知识产权有受本公司侵害之虞，请尽速与本公司联络（service@10over10.com.tw），并提供知识产权受侵害之具体证明数据予本公司，包括但不限于（1）主张遭受侵害之知识产权之描述；（2）主张遭受侵害之著作物于本公司官网中所在位置之描述；及（3）您的联络方式等。</li>-->
            </div>
          </div>

        </div>
        <div v-if="policy">
          <div class="pop_termsBox"><h2>隐私权政策</h2></div>
          <div class="pop_info">
            <div class="pop_termsBox">
              <h3>隐私声明</h3>
              <p class="in_text">为了保障您的隐私，当您注册成为10/10 FRIENDS会员，或使用由祎德（上海）贸易有限公司及其关系企业十分国际股份有限公司、玮德国际股份有限公司、客林国际股份有限公司或前开公司之国内外分公司（以下简称本公司）提供之服务，及藉由加入会员之过程或交易之过程本公司会搜集您的个人相关信息。</p>
              <p class="in_text">本隐私权政策为声明本公司如何管理所收集、使用及可能搜集的个人信息，并提供相关联络方式，方便用户在对本公司有关个人信息的方式存有任何疑问时进行联系。</p>
              <p class="in_text">如您向我们提供您的个人信息（包括在本公司官方网站、门市店柜或活动中向我们提供您的个人资料，或在官方网站上选购任何产品，或以任何方式与我们联系），即表示您接受本隐私权政策的条款，并同意我们搜集及使用本隐私权政策所指的相关个人信息。</p>
            </div>
            <div class="pop_termsBox">
              <h3>个人信息搜集之目的与类别</h3>
              <p class="in_text">我们可能收集的数据类别包括：</p>
              <ul class="pop_ul2 ul2_pd" >
                <li class="in_text" style="list-style-type: disc">联络方式（例如姓名、地址、电子信箱、及手机号码）</li>
                <li class="in_text" style="list-style-type: disc">个人信息（例如年龄、生日、性别、居住国家、嗜好及兴趣）</li>
                <li class="in_text" style="list-style-type: disc">个人在意的肌肤及头皮检测</li>
                <li class="in_text" style="list-style-type: disc">主动提供之联络人的联络数据</li>
                <li class="in_text" style="list-style-type: disc">与本公司所做的往来通联记录、网站留言</li>
                <li class="in_text" style="list-style-type: disc">如用户在本公司官方网站注册或选购产品，有关选购的产品以及其在网站的其他活动信息（例如用户所浏览的页面及内容数据）</li>
              </ul>
            </div>
            <div class="pop_termsBox">
              <h3>个人信息之用途</h3>
              <p class="in_text">我们会将您提供的数据用于：</p>
              <ol class="pop_ul ul_pd" style="padding-left: 30px">
                <li class="in_text">提供最新产品、活动讯息</li>
                <li class="in_text">维护、更新帐户数据，并就帐户提供服务</li>
                <li class="in_text">维护、管理并提升我们的系统功能与服务</li>
                <li class="in_text">改善本公司官方网站的内容及功能，包括根据用户使用习惯、过往使用数据及喜好进行更新</li>
                <li class="in_text">向用户提供任何本公司的产品、活动信息或其他推广信息</li>
                <li class="in_text">就饮食、运动、设计、兿术、时装、音乐、电影、文化及文学等兴趣分类，提供为各种因此相关的公司组织及合作伙伴信息。</li>
                <li class="in_text">当您订购产品或服务时，用于授权注册、技术支持、折扣、完成付款及产品运送等契约义务或其他优惠</li>
                <li class="in_text">确认您的参加资格、告知您活动动态或联系赠奖事宜</li>
                <li class="in_text">客户服务过程中回复提问或信息查询</li>
                <li class="in_text">客户关怀、满意度调查及获取意见回馈</li>
                <li class="in_text">改善提供之服务、使用者经验调查及分析</li>
              </ol>
              <p class="in_text">本公司对您提供的个人信息负保密责任，除为完成交易或会员服务而提供给配合厂商，或本约定条款有另外约定之外，绝不会基于商业目的泄漏或提供给第三人。并在符合个人资料保护法的情况下才会将您的信息传送至境外。</p>
            </div>
            <div class="pop_termsBox">
              <h3>适用范围</h3>
              <p class="in_text">本隐私声明及其所包含之告知事项，仅适用于本公司官方网站。网站内可能包含许多连结、或其他合作伙伴所提供的商品或服务，关于该等连结网站、合作伙伴网站的隐私声明及与个人资料保护有关之告知事项，请参阅各该连结网站、合作伙伴网站之规定。</p>
              <p class="in_text">在下列情况下，本公司有权利将您的个人资料给有权机关、或主张权利受侵害并提出适当证明的第三人：
              <ol class="pop_ul ul_pd" style="padding-left: 24px">
                <li class="in_text">基于法令之规定</li>
                <li class="in_text">受司法机关或其它相关有权机关基于法定程序之要求</li>
                <li class="in_text">为保障会员或第三人之合法权益及安全</li>
                <li class="in_text">您违反本约定条款，而本公司依法行使权利者</li>
              </ol>
              </p>
            </div>
            <div class="pop_termsBox">
              <h3>Cookie</h3>
              <p class="in_text">我们也会保留您在上网浏览或查询时，服务器自行产生的相关数据，包括IP地址、Cookies纪录。上述数据之搜集仅提供本网站依服务或活动设计使用，以改善我们的服务质量，产品内容，不会将数据移作其他目的使用。若您不愿接受 Cookie 的写入，您可在您使用的浏览器功能项中设定隐私权等级为高，即可拒绝Cookie的写入，但可能会导致某些功能或服务无法正常执行。</p>
            </div>
            <div class="pop_termsBox">
              <h3>修订权利</h3>
              <p class="in_text">为因应市场变化以及政府法令规定，必须修改、更新使用个人资料的相关规定时，本公司将于网页上张贴公告通知相关事项。</p>
            </div>
            <div class="pop_termsBox">
              <h3>个人信息的查阅及更正</h3>
              <p class="in_text">您如欲查阅或更正本公司为其持有的个人信息，或希望「退出」接收营销讯息，请与本公司联络。您如不同意前项个人信息之利用，将无法享有本公司与其关系企业或第三人合作提供之相关权益及优惠。</p>
              <p class="in_text">若您：</p>
              <ul class="pop_ul2 ul2_pd">
                <li class="in_text" style="list-style-type: disc">对本公司处理其个人信息的方式存有任何疑问</li>
                <li class="in_text" style="list-style-type: disc">拟查阅或更正我们为其持有的个人信息</li>
                <li class="in_text" style="list-style-type: disc">拟「退出」接收营销讯息或撤销允许本公司使用其个人信息的授权</li>
                <li class="in_text" style="list-style-type: disc">对于用户个人信息被收集或处理的方式有任何疑虑或投诉</li>
              </ul>
              <p class="in_text">请发送电邮至<a href="mailto:service@10over10.com.tw">service@10over10.com.tw</a>联络我们。</p>
            </div>
          </div>

        </div>
        <span class="pop_bk" @click="close">我已阅读完毕</span>
      </section>
    </section>
     <!--<v-hintbox :hintbox="text"></v-hintbox>-->
   </div>
</template>
<script>
    import store from  '../../utils/store.js';
    // import weui from '../../utils/weui.min.js';
    import hintbox from '@/components/hintbox/hintbox.vue';
export default {
    data(){
        return{
                clientHeight:'',
                referrerName:'',
                referrerMobile:'',
                sex:'',
                typevalue:'',//推荐人手机
                areaCode:'',//推荐人手机区域
                name:'',//注册人姓名
                year:'',//年
                month:'',//月
                day:'',//日
                hintbox:{
                    show:false,
                    text:''
                },
                checked:'',
                right:false,
                policy:false,
                popshow:false,
                boy:false,
                girl:false,
                datas:{},
                must:true,
                contactId:'',
                sexvalue:''
        }
    },
     mounted(){
         // 获取浏览器可视区域高度
         this.clientHeight =  `${document.documentElement.clientHeight}`;
         console.log('clientHeight',this.clientHeight);
       },
      components:{
          // "v-hintbox":hintbox
      },
      methods:{
          choose(){
              let that = this;
              if(that.checked){
                  that.checked = false;
              }else{
                  that.checked = true;
              }
          },
        //姓名
          inputEmit(data){
              this.name = data.target.value;
          },
          inputEmit1(data){
              this.referrerName = data.target.value;
          },
          inputEmit2(data){
              this.referrerMobile = data.target.value;
          },
          //男性
          male(){
              console.log('男');
              this.boy = true;
              this.girl = false;
              this.$forceUpdate();
          },
          //女性
          female(){
              console.log('女');
              this.boy = false;
              this.girl = true;
              this.$forceUpdate();

          },
          //关闭弹窗
          close(){
              this.popshow = false;
              this.$forceUpdate();
          },
          //会员权益
          memberright(){
              console.log('11');
              this.popshow = true;
              this.right = true;
              this.policy = false;
              this.$forceUpdate();
          },
          //隐私政策
          memberpolicy(){
              console.log('2');
              this.popshow = true;
              this.policy = true;
              this.right = false;
              this.$forceUpdate();
          },
          //年
          pickerClick(){
              let that = this;
              let date=new Date;
              let year=date.getFullYear();
              let yearlist = [];
              for (let i = year; i >= 1919; i--) {
                  yearlist.push(i);
              }
              let defaultyear = '';
              if(that.year === '年'){
                  defaultyear = year;
              }else{
                  defaultyear = that.year;
              }
              console.log('默认年',defaultyear)
              console.log('yearlist',yearlist);
              var time = new Date().valueOf();
              console.log('time',time);
              this.$weui.picker(yearlist, {
                  id: time,
                  defaultValue:[defaultyear],
                  onChange: function (result) {
                      console.log(result);
                  },
                  onConfirm: function (result) {
                      console.log('确定',result[0].value);
                      that.year = result[0].value;
                      that.$forceUpdate();
                  }
              });
          },
          //月
          pickerClick2(){
              let that = this;
              let date=new Date;
              let month=date.getMonth()+1;
              let monthlist = [];
              for (let i = 1; i <= 12; i++) {
                  if(i>0 && i<10){

                      monthlist.push('0'+i);
                  }else{
                      monthlist.push(i);
                  }

              }
              var defaultmonth = '';
              if(that.month === '月' || that.month === ''){
                  defaultmonth = monthlist[0];
              }else{
                  defaultmonth = that.month;
              }
              console.log(that.month);
              console.log('默认月',monthlist[0])
              console.log('monthlist',monthlist);
              this.$weui.picker(monthlist, {
                  id: new Date().valueOf(),
                  defaultValue:[defaultmonth],
                  onChange: function (result) {
                      console.log(result);
                  },
                  onConfirm: function (result) {
                      console.log('确定',result[0].value);
                      that.month = result[0].value;
                      // if(that.month >0 && that.month < 10){
                      //     that.month = '0' +result[0].value;
                      // }
                      that.$forceUpdate();
                  }
              });
          },
          //日
          pickerClick3(){
              let that = this;
              let date=new Date;
              let day=date.getDate();
              let daylist = [];
              if (that.year == 0 || that.month == 0) {
                  // 未选择年份或者月份
                  // that.hintbox.show = true;
                  // that.hintbox.text = '未选择年份或者月份';
              } else {
                  // $DaySelector.html(str);
                  // let year = parseInt($("#showPicker1").text());
                  // var month = parseInt($("#showPicker2").text());
                  var dayCount = 0;
                  let month = parseInt(that.month);
                  switch (month) {
                      case 1:
                      case 3:
                      case 5:
                      case 7:
                      case 8:
                      case 10:
                      case 12:
                          dayCount = 31;
                          break;
                      case 4:
                      case 6:
                      case 9:
                      case 11:
                          dayCount = 30;
                          break;
                      case 2:
                          dayCount = 28;
                          if ((that.year % 4 == 0) && (that.year % 100 != 0) || (that.year % 400 == 0)) {
                              dayCount = 29;
                          }
                          break;
                      default:
                          break;
                  }
                  for (var i = 1; i <= dayCount; i++) {
                      if(i>0 && i<10){
                          daylist.push('0'+i);
                      }else{
                          daylist.push(i);
                      }

                  }
                  console.log('daylist',daylist);
              }
              let defaultday = '';
              if(that.day === '日' || that.day === ''){
                  defaultday = daylist[0];
              }else{
                  defaultday = that.day;
              }
              console.log('默认日',defaultday);
              this.$weui.picker(daylist, {
                  id: new Date().valueOf(),
                  defaultValue:[defaultday],
                  onChange: function (result) {
                      console.log(result);
                  },
                  onConfirm: function (result) {
                      console.log('确定',result[0].value);
                      that.day = result[0].value;
                      // if(that.day > 0 && that.day <10){
                      //     that.day = '0' + result[0].value;
                      // }
                      that.$forceUpdate();
                  }
              });
          },
          //提交按钮
          submit(){
              let that = this;
              let mobilePatternHK = /^(\+852\s)?[5689]{1}\d{7}$/;
              let mobilePatternCN = /^(\+86\s)?1[3456789]{1}\d{9}$/;
              var date = that.year + '-' + that.month +'-' +that.day;
              var time = new Date(date);
              var birth = time.getTime();
              if(that.boy){
                  that.sexvalue = '男';
              }
              if(that.girl){
                  that.sexvalue = '女';
              }
              // that.name = this.$refs.name.value;
              console.log('sex',that.sexvalue);
              console.log('name',that.name);
              console.log('checked',that.checked);
              console.log('date',date);
              console.log('time',time);
              console.log('birth',birth);
              console.log('refername',this.referrerName);
              console.log('referMobile',this.referrerMobile);
              console.log('typevalue',this.typevalue);
              // console.log('areacode',store.state.personInfo.verify.areaCode);
              if(that.name === ''){
                  $("#namebox").show();
                  return;
              }else{
                  $("#namebox").hide();
                  // return;
              }
              if(that.sexvalue === ''){
                  $("#sexbox").show();
                  return;
              }else{
                  $("#sexbox").hide();
              }
              if(that.year==='' || that.year === '年' || that.month=== '' || that.month === '月' || that.day==='日' || that.day===''){
                  $("#datebox").show();
                  return;
              }else{
                  $("#datebox").hide();
              }
              if(!that.checked){
                  $("#box").show();
                  return;
              }else{
                  $("#box").hide();
              }
              // alert('date'+date);
              // alert('time'+time);
              // alert('birth'+birth);
              //必填字段

              // if(that.checked && that.name !== '' &&  that.sexvalue !== '' && birth !== ''){
              //     that.must = true;
              // }else{
              //     that.must = false;
              //     return;
              // }
              if(this.typevalue === '+86' && that.referrerMobile !== ''){
                  console.log(that.referrerMobile);
                  if(!mobilePatternCN.test(that.referrerMobile)){
                      alert('您输入的号码格式有误，请重新输入！');
                      return;
                  }
              }
              if(this.typevalue === '+852' && that.referrerMobile !== ''){
                  if(!mobilePatternHK.test(that.referrerMobile)){
                      alert('您输入的号码格式有误，请重新输入！');
                      return;
                  }
              }
              var data={
                  openId:context.OpenId,
                  name:that.name,
                  sex:that.sexvalue,
                  birthDate:birth,
                  phone:store.state.personInfo.verify.phoneNum,
                  areaCode:store.state.personInfo.verify.areaCode,
                  referrerName:this.referrerName,
                  referrerMobile:this.referrerMobile
              }
              var data1={
                  openId:context.OpenId,
                  name:that.name,
                  sex:that.sexvalue,
                  birthDate:birth,
                  phone:store.state.personInfo.verify.phoneNum,
                  areaCode:store.state.personInfo.verify.areaCode,
                  referrerName:this.referrerName,
                  referrerMobile:this.referrerMobile,
                  contactId:store.state.personInfo.verify.contactId
              }
              if(store.state.personInfo.verify.type === 'old'){
                  this.config.server(
                      "/Update/Con",
                      "POST",
                      data1,
                      (data)=> {
                          console.log('success',data);
                          console.log(data);
                          this.$router.replace('/result');
                          sessionStorage.setItem('page','result');
                          this.$forceUpdate();
                      },
                      (error)=> {
                          console.log('error',error);
                      },
                  )
              }else{
                  this.config.server(
                      "/Create/Con",
                      "POST",
                      data,
                      (data)=> {
                          console.log(data);
                          this.$router.replace('/result');
                          sessionStorage.setItem('page','result');
                          this.$forceUpdate();
                      },
                      (error)=> {
                          console.log('error',error);
                      },
                  )

              }


          },
          //下拉框点击事件
          change(e){
              let that = this;
              console.log(e.target.selectedIndex);
              console.log(e.target.value);
              that.typevalue = e.target.value;
              console.log(that.typevalue);
              if(that.typevalue === '+86'){
                  this.areaCode = 'CN';
              }
              if(that.typevalue === '+852'){
                  this.areaCode = 'HK';
              }
          },
          //旧用户绑定数据渲染
          getAjax(){
              let that = this;
              if(store.state.personInfo.verify.contactId){
                 that.contactId = store.state.personInfo.verify.contactId;
              }else{
                  that.contactId = sessionStorage.getItem('contactId');

              }
              let data={
                  contactId:store.state.personInfo.verify.contactId,
              };
              this.config.server(
                  "/Get/Con/Info",
                  "POST",
                  data,
                  (data)=> {
                      console.log('data',data);
                      console.log(data);
                      this.datas = data.records[0];
                      this.name = this.datas.name;
                      if(this.datas.sex === '女' && that.datas.sex !== ''){
                          this.girl = true;
                          that.sexvalue = '女';
                      }else{
                          this.boy = true;
                          that.sexvalue = '男';
                      }
                      if(this.datas.birthDate){
                          that.year = this.datas.birthDate.split('-')[0];
                          that.month = this.datas.birthDate.split('-')[1];
                          that.day = this.datas.birthDate.split('-')[2];
                          console.log('年月',that.year);
                      }
                      this.$forceUpdate();
                  },
                  (error)=> {
                      console.log('error',error);
                  },
              )
          }
      },
      created(){
          let that = this;
          this.referrerName='';
          this.sex='';
          this.typevalue='+86';//推荐人手机
          this.areaCode='CN';//推荐人手机区n域
          this.name='';//注册人姓名
          this.phone='';//推荐人电话
          this.year='年';//年
          this.month='月';//月
          this.day='日';//
          this.checked='';
          this.right = false;
          this.policy = false;
          this.popshow = false;
          this.boy = false;
          this.girl = false;
          this.datas = {};
          this.must = true;
          this.sexvalue = '';
          let data = store.state.personInfo.verify;
          this.contactId = '';
          this.referrerMobile = '';
          console.log('personaldata',data);
          if(data.type === 'old'){
              this.getAjax();
          }

      },
    beforeCreate(){
        console.log('path',sessionStorage.getItem('path'));
        if(sessionStorage.getItem('path') === 'result'){
            WeixinJSBridge.call('closeWindow');
        }
    }


}
</script>
<style scoped>
/*@import "../../utils/css/weui.css";*/
.agree1{
  /*width: 18px;*/
  /*height: 18px;*/
  /*border: 1px solid #545147;*/
  /*background-color: #fff;*/
  /*position: absolute;*/
  /*top: 1px;*/
  /*left: -6px;*/
  width: 33px;
  height: 24px;
  margin-top: 2px;
  margin-right: 10px;
  border: 1px solid #545147;
}
.img{
  /*display: none;*/
  /*content: url(../images/baseline-done-24px.svg);*/
  position: absolute;
  top: 1px;
  left: -1px;
  /*top: -2px;*/
  /*left: -3px;*/
  color: #fff;
  font-size: 0.32rem;
  font-weight: 700;
  letter-spacing: 1px;
  line-height: 0.32rem;
}
.personInfo{
  /*height: 600px !important;*/
  /*overflow: scroll;*/
}
.error{
  display: none;
}
.in_text{
  line-height: 24px;
}
.pop_ul{

}
.highlight{
  content: "";
  width: 100%;
  height: 2px;
  position: absolute;
  -webkit-transform: translate3d(0, 60%, 0);
  transform: translate3d(0, 60%, 0);
  background-color: #827159;
  right: 1px;
  bottom: -2px;
}
  .before{
    width: 10px;
    height: 10px;
    content: '';
    position: relative;
    -webkit-transform: translate3d(0, -50%, 0);
    transform: translate3d(0, -50%, 0);
    /* border: 1px solid #545147; */
    /* border: 1px solid red; */
    background-color: #fff;
    border-radius: 50%;
    top: 9px;
    left: 4px;
    display: block;
    z-index: 999;
  }
  .after{
    content: '';
    width: 20px;
    height: 20px;
    position: relative;
    -webkit-transform: translate3d(0, -50%, 0);
    transform: translate3d(0, -50%, 0);
    background-color: #fff;
    border: 1px solid #827159;
    /* border: 1px solid blue; */
    border-radius: 50%;
    top: -11px;
    left: 1px;
    display: block;

  }
  .high{
    background-color: #827159;
  }
  .personInfo{
    height: 100%;
  }
  a.pop_terms{
    font-size: 0.25rem !important;
  }
  .pop_content{
    width: 88%;
  }
.ul2_pd{
  list-style-type: disc !important;
}
.pop_info{
  max-height:350px;
}
  /*sonia 改动开始*/

  /*Sonia 改动结束*/
</style>
